# Uses of Enum Class
com.ocient.metrics.Metric.DataType

Packages that use Metric.DataType
Package
Description
com.ocient.metrics

## Uses of Metric.DataType in com.ocient.metrics

Methods in com.ocient.metrics that return Metric.DataType
Modifier and Type
Method
Description
`final Metric.DataType`
Metric.`dataType()`
`static Metric.DataType`
Metric.DataType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Metric.DataType[]`
Metric.DataType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.metrics with parameters of type Metric.DataType
Modifier and Type
Method
Description
`PerfCounter`
MetricsRegistry.`getCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Fetches a `PerfCounter` or creates one if no such counter exists.
`static PerfCounter`
PerfCounter.`longCounter(Metric.MetricPath path, PerfCounter.ThreadingModel threadingModel, Metric.DataType dataType, Metric.CounterType counterType, Metric.Units units)`
Creates a new `PerfCounter` instance for a `long` value.